#ifndef JAGMATH_H
#define JAGMATH_H

#include <jagn3d.h> /* Matrix */

struct angles {
   short alpha, beta, gamma; /* rotations */
   short xpos, ypos, zpos;   /* position */
};

/* functions sin() and cos() */
/* arg passed in units of PI/1024 - no range limits */
short sin(short a);
short cos(short a);

/* utility function: find i such that (x >> i) is at most 15 bits */
int normi(long x);
/*
 * find a number i such that (x >> i) and (y >> i) are both
 * less than 0x8000
 */
int inormi2(long x, long y);

long shr(long x, int count);

void MkMatrix(Matrix *m, struct angles *a);

#endif
